List clients
curl --request GET \
--url https://api.example.com/clients \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/clients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"status": "provisioning",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"baseSmartWallet": "<string>",
"kybStatus": "notStarted",
"kybApplicationId": "kyb_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"failure": {
"code": "provisioning_failed",
"message": "<string>",
"retriable": false
},
"pollUrl": "<string>",
"transferPolicy": {
"allowFiat": true,
"allowCrypto": true,
"allowThirdParty": true,
"allowEscrowThirdParty": true,
"allowSwap": true,
"allowPartnerGroupPayments": true,
"dualApproval": true,
"isFrozen": true,
"recoveryModeActivated": true
}
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Clients
List clients
Every account connected to you, newest first.
GET
/
clients
List clients
curl --request GET \
--url https://api.example.com/clients \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/clients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"status": "provisioning",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"baseSmartWallet": "<string>",
"kybStatus": "notStarted",
"kybApplicationId": "kyb_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"failure": {
"code": "provisioning_failed",
"message": "<string>",
"retriable": false
},
"pollUrl": "<string>",
"transferPolicy": {
"allowFiat": true,
"allowCrypto": true,
"allowThirdParty": true,
"allowEscrowThirdParty": true,
"allowSwap": true,
"allowPartnerGroupPayments": true,
"dualApproval": true,
"isFrozen": true,
"recoveryModeActivated": true
}
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The client account to act for, as a cl_… id. Omit it to act as yourself.
Example:
"cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
Query Parameters
Exact match, lowercased.
Available options:
provisioning, ready, failed Required range:
1 <= x <= 100Maximum string length:
512Was this page helpful?